-- /usr/pgsql-9.1/bin/pg_dump --schema-only scannr
--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: recordings; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE recordings (
    filename text NOT NULL,
    tgid text,
    tgname text,
    sitename text,
    call_timestamp timestamp with time zone DEFAULT now(),
    length integer
);


ALTER TABLE public.recordings OWNER TO postgres;

--
-- Name: tgids; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tgids (
    tgid text NOT NULL,
    subfleet smallint,
    alpha_tag text NOT NULL,
    mode character(1) DEFAULT 'D'::bpchar NOT NULL,
    description text,
    service_tag text,
    category text
);


ALTER TABLE public.tgids OWNER TO postgres;

--
-- Name: recordings_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY recordings
    ADD CONSTRAINT recordings_pkey PRIMARY KEY (filename);


--
-- Name: tgids_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tgids
    ADD CONSTRAINT tgids_pkey PRIMARY KEY (tgid);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

CREATE TABLE "compilations" (
  "filename" text NOT NULL,
  "files" text ARRAY NOT NULL,
  "datetime" timestamp NOT NULL
);

CREATE TABLE "trunk_logs" (
  "id" text NOT NULL,
  "datetime" integer NOT NULL,
  "site" integer NOT NULL,
  "action" text NOT NULL,
  "sourcetype" character(1) NOT NULL,
  "sourceid" smallint NOT NULL,
  "targettype" character(1) NOT NULL,
  "targetid" smallint NOT NULL,
  "channel" smallint NOT NULL,
  "calltype" text NOT NULL
);
